curl --request PUT \
--url https://int-api.mx.com/users/{user_guid}/goals/{goal_guid} \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/json' \
--data '
{
"goal": {
"account_guid": "ACT-4e431124-4a29-abf9-f059-ab232ac14dbf",
"amount": 4500.5,
"goal_type_name": "PAYOFF",
"meta_type_name": "VACATION",
"name": "Save for Europe",
"completed_at": "2015-06-19T10:37:04-06:00",
"has_been_spent": false,
"is_complete": false,
"metadata": "Additional information",
"position": 3,
"targeted_to_complete_at": "2026-12-08 00:00:00.000000"
}
}
'import requests
url = "https://int-api.mx.com/users/{user_guid}/goals/{goal_guid}"
payload = { "goal": {
"account_guid": "ACT-4e431124-4a29-abf9-f059-ab232ac14dbf",
"amount": 4500.5,
"goal_type_name": "PAYOFF",
"meta_type_name": "VACATION",
"name": "Save for Europe",
"completed_at": "2015-06-19T10:37:04-06:00",
"has_been_spent": False,
"is_complete": False,
"metadata": "Additional information",
"position": 3,
"targeted_to_complete_at": "2026-12-08 00:00:00.000000"
} }
headers = {
"Authorization": "Basic <encoded-value>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Basic <encoded-value>', 'Content-Type': 'application/json'},
body: JSON.stringify({
goal: {
account_guid: 'ACT-4e431124-4a29-abf9-f059-ab232ac14dbf',
amount: 4500.5,
goal_type_name: 'PAYOFF',
meta_type_name: 'VACATION',
name: 'Save for Europe',
completed_at: '2015-06-19T10:37:04-06:00',
has_been_spent: false,
is_complete: false,
metadata: 'Additional information',
position: 3,
targeted_to_complete_at: '2026-12-08 00:00:00.000000'
}
})
};
fetch('https://int-api.mx.com/users/{user_guid}/goals/{goal_guid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"goal": {
"account_guid": "ACT-4e431124-4a29-abf9-f059-ab232ac14dbf",
"amount": 4500,
"completed_at": "2015-06-19T10:37:04-06:00",
"current_amount": 1651.27,
"goal_type_name": "PAYOFF",
"guid": "GOL-f223463-4355-48d0-rce7-fe2rb345617c",
"has_been_spent": false,
"is_complete": false,
"metadata": "Additional information",
"meta_type_name": "VACATION",
"name": "Save for Europe",
"position": 3,
"projected_to_complete_at": "2022-06-14T16:03:53-00:00",
"targeted_to_complete_at": "2026-12-08 00:00:00.000000",
"track_type_name": "Track Type Name",
"user_guid": "USR-11141024-90b3-1bce-cac9-c06ced52ab4c"
}
}Update a goal
This endpoint updates a specific goal.
Authorizations
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Path Parameters
The unique identifier for a goal. Defined by MX.
The unique identifier for a user, beginning with the prefix USR-.
Body
Hide child attributes
Hide child attributes
Unique identifier of the account for the goal.
"ACT-4e431124-4a29-abf9-f059-ab232ac14dbf"
Amount of the goal.
4500.5
The goal type.
"PAYOFF"
The category of the goal.
"VACATION"
The name of the goal.
"Save for Europe"
Date and time the goal was completed.
"2015-06-19T10:37:04-06:00"
Determines if the goal has been spent.
false
Determines if the goal is complete.
false
Additional information a partner can store on the goal.
"Additional information"
The priority of the goal in relation to multiple goals.
3
Date and time the goal is to complete. Intended for users to set their own goal completion dates.
"2026-12-08 00:00:00.000000"
Response
OK
Hide child attributes
Hide child attributes
Unique identifier of the account for the goal.
"ACT-4e431124-4a29-abf9-f059-ab232ac14dbf"
Amount of the goal.
4500
Date and time the goal was completed.
"2015-06-19T10:37:04-06:00"
The current amount of the goal.
1651.27
The goal type.
"PAYOFF"
Unique identifier for the goal. Defined by MX.
"GOL-f223463-4355-48d0-rce7-fe2rb345617c"
Determines if the goal has been spent.
false
Determines if the goal is complete.
false
Additional information a partner can store on the goal.
"Additional information"
The category of the goal.
"VACATION"
The name of the goal.
"Save for Europe"
The priority of the goal in relation to multiple goals.
3
Date and time the goal is projected to be completed.
"2022-06-14T16:03:53-00:00"
Date and time the goal is to complete. Intended for users to set their own goal completion dates.
"2026-12-08 00:00:00.000000"
"Track Type Name"
The unique identifier for the the user. Defined by MX.
"USR-11141024-90b3-1bce-cac9-c06ced52ab4c"

